%define name geda-xgsch2pcb
%define version 0.1.3
%define release 1

%ifarch i386 i486 i586 i686
%define libdir %{_prefix}/lib
%endif
%ifarch x86_64
%define libdir %{_prefix}/lib64
%endif
%define mandir %{_prefix}/share/man

# Macro that print mesages to syslog at package (un)install time
%define nnmmsg logger -t %{name}/rpm

Summary: Graphical front-end for the gschem -> pcb workflow 
URL: http://ftp.sunet.se/geda/tools/xgsch2pcb/index.html
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Application/System
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: python, pygtk2, perl >= 5.8.1, PackageKit-gtk-module, libcanberra-gtk2
Requires: python, bash, grep, /usr/bin/logger, pygtk2, perl >= 5.8.1, PackageKit-gtk-module, libcanberra-gtk2, geda-gschem, pcb, geda-gnetlist, geda-gattrib, geda-gsymcheck

%post
#ldconfig -n %{libdir}

%description
xgsch2pcb provides an intuitive, user-friendly graphical interface to the
gsch2pcb command-line tool, part of the gEDA suite, which is used to
generate and update a PCB layout. It works with schematics created by
gschem, part of the gEDA suite, and layouts created by pcb, a PCB layout
system commonly used with gEDA.

%prep
%setup -q


%build
export PATH=$PATH:/usr/sbin
#*******************************************************************
# Ugh, we need an X display to run the python GTK import tests
# Start one running on :7 before running rpmbuild! (vncserver :7)
#*******************************************************************
export DISPLAY=:7
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{libdir} \
	--mandir=%{mandir} \

make all

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 0755 ${RPM_BUILD_ROOT}/%{libdir}
install -d -m 0755 ${RPM_BUILD_ROOT}/%{mandir}
make DESTDIR=${RPM_BUILD_ROOT} install

# install templated configuration files

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(755,root,root)
%{_bindir}/*
%{libdir}/geda-xgsch2pcb
%{_prefix}/share/*

%changelog
* Fri Jul 01 2011 Todd Shadburn <tshadb@opencomputingsolutions.com>
	- New .spec file created.

